from uvicorn.workers import UvicornWorker


class ConsoleUvicornWorker(UvicornWorker):
    """
    Override the default worker to turn `lifespan` off
    to silence the log noise.
    """
    CONFIG_KWARGS = {
        "loop": "uvloop",
        "http": "auto",
        "lifespan": "off",
    }
